Pre-release — content may change.

Messages

List messages for a person

GET
/people/{person_id}/messages

Lists messages received by the person, newest first.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

person_id*string

Query Parameters

include?string

Comma-separated list of relationships to include. Allowed values are resource-specific; consult the operation for the allowlist.

sort?string

Comma-separated list of attributes to sort by. Prefix with - for descending order (-created_at,family_name).

page?

Offset pagination parameters.

filter?

Filter predicates on Message attributes (same predicate semantics as the top-level list).

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/people/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages"
{  "data": [    {      "type": "messages",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "attributes": {        "subject": "string",        "body": "string",        "from_address": "string",        "raw_text": "string",        "raw_html": "string",        "raw_body": "string",        "headers": "string",        "sanitized_body": "string",        "raw_headers": "string",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "relationships": {        "from": {          "data": {            "type": "people",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        },        "to": {          "data": {            "type": "people",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        }      },      "links": {        "self": {          "href": "/messages/7247ad7d-9275-454b-9e3a-0570e403739e"        },        "messages_preview": {          "href": "https://files.wicketcloud.com/messages/7247ad7d-9275-454b-9e3a-0570e403739e/preview.html"        }      },      "meta": {}    }  ],  "meta": {    "page": {      "total_items": 0,      "total_pages": 0,      "number": 0,      "size": 0    }  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}